/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___TVECTOR_TYPE_DEFINITIONS
#define BGL___TVECTOR_TYPE_DEFINITIONS
#endif // BGL___TVECTOR_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_symbol1831z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1837z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1804z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1839z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_list1814z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_list1830z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1786z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1836z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol1791z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1793z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00(void);
static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00(void);
static obj_t BGl_genericzd2initzd2zz__tvectorz00(void);
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__tvectorz00(void);
static obj_t BGl_objectzd2initzd2zz__tvectorz00(void);
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl_methodzd2initzd2zz__tvectorz00(void);
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_symbol1805z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1807z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1809z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00(void);
static obj_t BGl_symbol1815z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1817z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol1819z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1821z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1790z00zz__tvectorz00, BgL_bgl_string1790za700za7za7_1844za7, "&get-tvector-descriptor", 23 );
DEFINE_STRING( BGl_string1792z00zz__tvectorz00, BgL_bgl_string1792za700za7za7_1845za7, "upcase", 6 );
DEFINE_STRING( BGl_string1794z00zz__tvectorz00, BgL_bgl_string1794za700za7za7_1846za7, "downcase", 8 );
DEFINE_STRING( BGl_string1795z00zz__tvectorz00, BgL_bgl_string1795za700za7za7_1847za7, "declare-tvector!", 16 );
DEFINE_STRING( BGl_string1796z00zz__tvectorz00, BgL_bgl_string1796za700za7za7_1848za7, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string1797z00zz__tvectorz00, BgL_bgl_string1797za700za7za7_1849za7, "&declare-tvector!", 17 );
DEFINE_STRING( BGl_string1798z00zz__tvectorz00, BgL_bgl_string1798za700za7za7_1850za7, "bstring", 7 );
DEFINE_STRING( BGl_string1799z00zz__tvectorz00, BgL_bgl_string1799za700za7za7_1851za7, "procedure", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl_za762tvectorza7f3za7911852za7, BGl_z62tvectorzf3z91zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762listza7d2za7e3tve1853za7, BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762vectorza7d2za7e3t1854za7, BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2len1855z00, BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl_za762tvectorza7d2za7e31856za7, BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1800z00zz__tvectorz00, BgL_bgl_string1800za700za7za7_1857za7, "tvector-ref", 11 );
DEFINE_STRING( BGl_string1801z00zz__tvectorz00, BgL_bgl_string1801za700za7za7_1858za7, "&tvector-ref", 12 );
DEFINE_STRING( BGl_string1802z00zz__tvectorz00, BgL_bgl_string1802za700za7za7_1859za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1803z00zz__tvectorz00, BgL_bgl_string1803za700za7za7_1860za7, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string1806z00zz__tvectorz00, BgL_bgl_string1806za700za7za7_1861za7, "funcall", 7 );
DEFINE_STRING( BGl_string1808z00zz__tvectorz00, BgL_bgl_string1808za700za7za7_1862za7, "allocate", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl_za762getza7d2tvector1863z00, BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl_za762declareza7d2tve1864z00, BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1810z00zz__tvectorz00, BgL_bgl_string1810za700za7za7_1865za7, "len", 3 );
DEFINE_STRING( BGl_string1811z00zz__tvectorz00, BgL_bgl_string1811za700za7za7_1866za7, "loop", 4 );
DEFINE_STRING( BGl_string1812z00zz__tvectorz00, BgL_bgl_string1812za700za7za7_1867za7, "pair", 4 );
DEFINE_STRING( BGl_string1813z00zz__tvectorz00, BgL_bgl_string1813za700za7za7_1868za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string1816z00zz__tvectorz00, BgL_bgl_string1816za700za7za7_1869za7, "set", 3 );
DEFINE_STRING( BGl_string1818z00zz__tvectorz00, BgL_bgl_string1818za700za7za7_1870za7, "tvec", 4 );
DEFINE_STRING( BGl_string1820z00zz__tvectorz00, BgL_bgl_string1820za700za7za7_1871za7, "i", 1 );
DEFINE_STRING( BGl_string1822z00zz__tvectorz00, BgL_bgl_string1822za700za7za7_1872za7, "arg1241", 7 );
DEFINE_STRING( BGl_string1823z00zz__tvectorz00, BgL_bgl_string1823za700za7za7_1873za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1824z00zz__tvectorz00, BgL_bgl_string1824za700za7za7_1874za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1825z00zz__tvectorz00, BgL_bgl_string1825za700za7za7_1875za7, "&list->tvector", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2ref1876z00, BGl_z62tvectorzd2refzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1826z00zz__tvectorz00, BgL_bgl_string1826za700za7za7_1877za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1827z00zz__tvectorz00, BgL_bgl_string1827za700za7za7_1878za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1828z00zz__tvectorz00, BgL_bgl_string1828za700za7za7_1879za7, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string1829z00zz__tvectorz00, BgL_bgl_string1829za700za7za7_1880za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1832z00zz__tvectorz00, BgL_bgl_string1832za700za7za7_1881za7, "arg1248", 7 );
DEFINE_STRING( BGl_string1833z00zz__tvectorz00, BgL_bgl_string1833za700za7za7_1882za7, "&vector->tvector", 16 );
DEFINE_STRING( BGl_string1834z00zz__tvectorz00, BgL_bgl_string1834za700za7za7_1883za7, "vector", 6 );
DEFINE_STRING( BGl_string1835z00zz__tvectorz00, BgL_bgl_string1835za700za7za7_1884za7, "tvector->vector", 15 );
DEFINE_STRING( BGl_string1838z00zz__tvectorz00, BgL_bgl_string1838za700za7za7_1885za7, "ref", 3 );
DEFINE_STRING( BGl_string1840z00zz__tvectorz00, BgL_bgl_string1840za700za7za7_1886za7, "tv", 2 );
DEFINE_STRING( BGl_string1841z00zz__tvectorz00, BgL_bgl_string1841za700za7za7_1887za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1842z00zz__tvectorz00, BgL_bgl_string1842za700za7za7_1888za7, "&tvector->vector", 16 );
DEFINE_STRING( BGl_string1843z00zz__tvectorz00, BgL_bgl_string1843za700za7za7_1889za7, "__tvector", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2idza71890za7, BGl_z62tvectorzd2idzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1780z00zz__tvectorz00, BgL_bgl_string1780za700za7za7_1891za7, "/tmp/bigloo/runtime/Llib/tvector.scm", 36 );
DEFINE_STRING( BGl_string1781z00zz__tvectorz00, BgL_bgl_string1781za700za7za7_1892za7, "&tvector-length", 15 );
DEFINE_STRING( BGl_string1782z00zz__tvectorz00, BgL_bgl_string1782za700za7za7_1893za7, "tvector", 7 );
DEFINE_STRING( BGl_string1783z00zz__tvectorz00, BgL_bgl_string1783za700za7za7_1894za7, "tvector-id", 10 );
DEFINE_STRING( BGl_string1784z00zz__tvectorz00, BgL_bgl_string1784za700za7za7_1895za7, "struct", 6 );
DEFINE_STRING( BGl_string1785z00zz__tvectorz00, BgL_bgl_string1785za700za7za7_1896za7, "symbol", 6 );
DEFINE_STRING( BGl_string1787z00zz__tvectorz00, BgL_bgl_string1787za700za7za7_1897za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1788z00zz__tvectorz00, BgL_bgl_string1788za700za7za7_1898za7, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string1789z00zz__tvectorz00, BgL_bgl_string1789za700za7za7_1899za7, "&tvector-id", 11 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1831z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1837z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1804z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1839z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1814z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1830z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1786z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1836z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1791z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1793z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1805z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1807z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1809z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1815z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1817z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1819z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1821z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_za2tvectorzd2tableza2zd2zz__tvectorz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_2094, char * BgL_fromz00_2095)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__tvectorz00(); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
return 
BGl_toplevelzd2initzd2zz__tvectorz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
BGl_symbol1786z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1787z00zz__tvectorz00); 
BGl_symbol1791z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1792z00zz__tvectorz00); 
BGl_symbol1793z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1794z00zz__tvectorz00); 
BGl_symbol1805z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1806z00zz__tvectorz00); 
BGl_symbol1807z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1808z00zz__tvectorz00); 
BGl_symbol1809z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1810z00zz__tvectorz00); 
BGl_list1804z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1805z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1807z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1807z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1809z00zz__tvectorz00, BNIL)))); 
BGl_symbol1815z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1816z00zz__tvectorz00); 
BGl_symbol1817z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1818z00zz__tvectorz00); 
BGl_symbol1819z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1820z00zz__tvectorz00); 
BGl_symbol1821z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1822z00zz__tvectorz00); 
BGl_list1814z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1805z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1815z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1815z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1817z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1819z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1821z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1831z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1832z00zz__tvectorz00); 
BGl_list1830z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1805z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1815z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1815z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1817z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1819z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1831z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1837z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1838z00zz__tvectorz00); 
BGl_symbol1839z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1840z00zz__tvectorz00); 
return ( 
BGl_list1836z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1805z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1837z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1837z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1839z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1819z00zz__tvectorz00, BNIL))))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 

}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
{
{ /* Llib/tvector.scm 92 */
return 
TVECTORP(BgL_objz00_3);} 

}



/* &tvector? */
obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1970, obj_t BgL_objz00_1971)
{
{ /* Llib/tvector.scm 92 */
return 
BBOOL(
BGl_tvectorzf3zf3zz__tvectorz00(BgL_objz00_1971));} 

}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_4)
{
{ /* Llib/tvector.scm 98 */
return 
TVECTOR_LENGTH(BgL_objz00_4);} 

}



/* &tvector-length */
obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1972, obj_t BgL_objz00_1973)
{
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
 int BgL_tmpz00_2142;
{ /* Llib/tvector.scm 99 */
 obj_t BgL_auxz00_2143;
if(
TVECTORP(BgL_objz00_1973))
{ /* Llib/tvector.scm 99 */
BgL_auxz00_2143 = BgL_objz00_1973
; }  else 
{ 
 obj_t BgL_auxz00_2146;
BgL_auxz00_2146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(3558L), BGl_string1781z00zz__tvectorz00, BGl_string1782z00zz__tvectorz00, BgL_objz00_1973); 
FAILURE(BgL_auxz00_2146,BFALSE,BFALSE);} 
BgL_tmpz00_2142 = 
BGl_tvectorzd2lengthzd2zz__tvectorz00(BgL_auxz00_2143); } 
return 
BINT(BgL_tmpz00_2142);} } 

}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
{
{ /* Llib/tvector.scm 104 */
{ /* Llib/tvector.scm 105 */
 obj_t BgL_arg1155z00_1639;
BgL_arg1155z00_1639 = 
TVECTOR_DESCR(BgL_tvectz00_5); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1902z00_2153;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2154;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1658z00_1643;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1642;
if(
STRUCTP(BgL_arg1155z00_1639))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1642 = BgL_arg1155z00_1639; }  else 
{ 
 obj_t BgL_auxz00_2157;
BgL_auxz00_2157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1783z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_arg1155z00_1639); 
FAILURE(BgL_auxz00_2157,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1697z00_2006;
BgL_aux1697z00_2006 = 
STRUCT_KEY(BgL_sz00_1642); 
if(
SYMBOLP(BgL_aux1697z00_2006))
{ /* Llib/tvector.scm 113 */
BgL_res1658z00_1643 = BgL_aux1697z00_2006; }  else 
{ 
 obj_t BgL_auxz00_2164;
BgL_auxz00_2164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1783z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1697z00_2006); 
FAILURE(BgL_auxz00_2164,BFALSE,BFALSE);} } } 
BgL_tmpz00_2154 = BgL_res1658z00_1643; } 
BgL_test1902z00_2153 = 
(BgL_tmpz00_2154==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1902z00_2153)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2169;
BgL_tmpz00_2169 = 
(int)(0L); 
return 
STRUCT_REF(BgL_arg1155z00_1639, BgL_tmpz00_2169);}  else 
{ /* Llib/tvector.scm 113 */
return 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_arg1155z00_1639);} } } } 

}



/* &tvector-id */
obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1974, obj_t BgL_tvectz00_1975)
{
{ /* Llib/tvector.scm 104 */
{ /* Llib/tvector.scm 105 */
 obj_t BgL_auxz00_2173;
if(
TVECTORP(BgL_tvectz00_1975))
{ /* Llib/tvector.scm 105 */
BgL_auxz00_2173 = BgL_tvectz00_1975
; }  else 
{ 
 obj_t BgL_auxz00_2176;
BgL_auxz00_2176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(3850L), BGl_string1789z00zz__tvectorz00, BGl_string1782z00zz__tvectorz00, BgL_tvectz00_1975); 
FAILURE(BgL_auxz00_2176,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_2173);} } 

}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
{
{ /* Llib/tvector.scm 127 */
if(
NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 128 */
return BFALSE;}  else 
{ /* Llib/tvector.scm 129 */
 obj_t BgL_cellz00_1167;
BgL_cellz00_1167 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); 
if(
PAIRP(BgL_cellz00_1167))
{ /* Llib/tvector.scm 130 */
return 
CDR(BgL_cellz00_1167);}  else 
{ /* Llib/tvector.scm 130 */
return BFALSE;} } } 

}



/* &get-tvector-descriptor */
obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t BgL_envz00_1976, obj_t BgL_idz00_1977)
{
{ /* Llib/tvector.scm 127 */
{ /* Llib/tvector.scm 128 */
 obj_t BgL_auxz00_2187;
if(
SYMBOLP(BgL_idz00_1977))
{ /* Llib/tvector.scm 128 */
BgL_auxz00_2187 = BgL_idz00_1977
; }  else 
{ 
 obj_t BgL_auxz00_2190;
BgL_auxz00_2190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(5101L), BGl_string1790z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_idz00_1977); 
FAILURE(BgL_auxz00_2190,BFALSE,BFALSE);} 
return 
get_tvector_descriptor(BgL_auxz00_2187);} } 

}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27, obj_t BgL_setz00_28)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
 obj_t BgL_idz00_1169;
{ /* Llib/tvector.scm 142 */
 obj_t BgL_arg1228z00_1174;
{ /* Llib/tvector.scm 142 */
 obj_t BgL_casezd2valuezd2_1175;
BgL_casezd2valuezd2_1175 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_1175==BGl_symbol1791z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1228z00_1174 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
if(
(BgL_casezd2valuezd2_1175==BGl_symbol1793z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1228z00_1174 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
BgL_arg1228z00_1174 = 
string_to_bstring(BgL_idz00_25); } } } 
BgL_idz00_1169 = 
bstring_to_symbol(BgL_arg1228z00_1174); } 
{ /* Llib/tvector.scm 142 */
 obj_t BgL_oldz00_1170;
BgL_oldz00_1170 = 
get_tvector_descriptor(BgL_idz00_1169); 
{ /* Llib/tvector.scm 149 */

{ /* Llib/tvector.scm 150 */
 bool_t BgL_test1911z00_2207;
if(
STRUCTP(BgL_oldz00_1170))
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2210;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1672z00_1705;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1703z00_2012;
BgL_aux1703z00_2012 = 
STRUCT_KEY(BgL_oldz00_1170); 
if(
SYMBOLP(BgL_aux1703z00_2012))
{ /* Llib/tvector.scm 113 */
BgL_res1672z00_1705 = BgL_aux1703z00_2012; }  else 
{ 
 obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1795z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1703z00_2012); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} } 
BgL_tmpz00_2210 = BgL_res1672z00_1705; } 
BgL_test1911z00_2207 = 
(BgL_tmpz00_2210==BGl_symbol1786z00zz__tvectorz00); }  else 
{ /* Llib/tvector.scm 113 */
BgL_test1911z00_2207 = ((bool_t)0)
; } 
if(BgL_test1911z00_2207)
{ /* Llib/tvector.scm 150 */
return BgL_oldz00_1170;}  else 
{ /* Llib/tvector.scm 151 */
 obj_t BgL_newz00_1172;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_newz00_1706;
BgL_newz00_1706 = 
create_struct(BGl_symbol1786z00zz__tvectorz00, 
(int)(4L)); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1914z00_2221;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2222;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1673z00_1710;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1705z00_2014;
BgL_aux1705z00_2014 = 
STRUCT_KEY(BgL_newz00_1706); 
if(
SYMBOLP(BgL_aux1705z00_2014))
{ /* Llib/tvector.scm 113 */
BgL_res1673z00_1710 = BgL_aux1705z00_2014; }  else 
{ 
 obj_t BgL_auxz00_2226;
BgL_auxz00_2226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1795z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1705z00_2014); 
FAILURE(BgL_auxz00_2226,BFALSE,BFALSE);} } 
BgL_tmpz00_2222 = BgL_res1673z00_1710; } 
BgL_test1914z00_2221 = 
(BgL_tmpz00_2222==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1914z00_2221)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2231;
BgL_tmpz00_2231 = 
(int)(3L); 
STRUCT_SET(BgL_newz00_1706, BgL_tmpz00_2231, BgL_setz00_28); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1796z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_newz00_1706); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1916z00_2235;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2236;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1674z00_1714;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1707z00_2016;
BgL_aux1707z00_2016 = 
STRUCT_KEY(BgL_newz00_1706); 
if(
SYMBOLP(BgL_aux1707z00_2016))
{ /* Llib/tvector.scm 113 */
BgL_res1674z00_1714 = BgL_aux1707z00_2016; }  else 
{ 
 obj_t BgL_auxz00_2240;
BgL_auxz00_2240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1795z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1707z00_2016); 
FAILURE(BgL_auxz00_2240,BFALSE,BFALSE);} } 
BgL_tmpz00_2236 = BgL_res1674z00_1714; } 
BgL_test1916z00_2235 = 
(BgL_tmpz00_2236==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1916z00_2235)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2245;
BgL_tmpz00_2245 = 
(int)(2L); 
STRUCT_SET(BgL_newz00_1706, BgL_tmpz00_2245, BgL_refz00_27); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1796z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_newz00_1706); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1918z00_2249;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2250;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1675z00_1718;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1709z00_2018;
BgL_aux1709z00_2018 = 
STRUCT_KEY(BgL_newz00_1706); 
if(
SYMBOLP(BgL_aux1709z00_2018))
{ /* Llib/tvector.scm 113 */
BgL_res1675z00_1718 = BgL_aux1709z00_2018; }  else 
{ 
 obj_t BgL_auxz00_2254;
BgL_auxz00_2254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1795z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1709z00_2018); 
FAILURE(BgL_auxz00_2254,BFALSE,BFALSE);} } 
BgL_tmpz00_2250 = BgL_res1675z00_1718; } 
BgL_test1918z00_2249 = 
(BgL_tmpz00_2250==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1918z00_2249)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2259;
BgL_tmpz00_2259 = 
(int)(1L); 
STRUCT_SET(BgL_newz00_1706, BgL_tmpz00_2259, BgL_allocatez00_26); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1796z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_newz00_1706); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1920z00_2263;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2264;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1676z00_1722;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1711z00_2020;
BgL_aux1711z00_2020 = 
STRUCT_KEY(BgL_newz00_1706); 
if(
SYMBOLP(BgL_aux1711z00_2020))
{ /* Llib/tvector.scm 113 */
BgL_res1676z00_1722 = BgL_aux1711z00_2020; }  else 
{ 
 obj_t BgL_auxz00_2268;
BgL_auxz00_2268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1795z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1711z00_2020); 
FAILURE(BgL_auxz00_2268,BFALSE,BFALSE);} } 
BgL_tmpz00_2264 = BgL_res1676z00_1722; } 
BgL_test1920z00_2263 = 
(BgL_tmpz00_2264==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1920z00_2263)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2273;
BgL_tmpz00_2273 = 
(int)(0L); 
STRUCT_SET(BgL_newz00_1706, BgL_tmpz00_2273, BgL_idz00_1169); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1796z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_newz00_1706); } } 
BgL_newz00_1172 = BgL_newz00_1706; } 
{ /* Llib/tvector.scm 152 */
 obj_t BgL_arg1226z00_1173;
BgL_arg1226z00_1173 = 
MAKE_YOUNG_PAIR(BgL_idz00_1169, BgL_newz00_1172); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BgL_arg1226z00_1173, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_1172;} } } } } } 

}



/* &declare-tvector! */
obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1978, obj_t BgL_idz00_1979, obj_t BgL_allocatez00_1980, obj_t BgL_refz00_1981, obj_t BgL_setz00_1982)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
 obj_t BgL_auxz00_2288; char * BgL_auxz00_2279;
if(
PROCEDUREP(BgL_allocatez00_1980))
{ /* Llib/tvector.scm 142 */
BgL_auxz00_2288 = BgL_allocatez00_1980
; }  else 
{ 
 obj_t BgL_auxz00_2291;
BgL_auxz00_2291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(5790L), BGl_string1797z00zz__tvectorz00, BGl_string1799z00zz__tvectorz00, BgL_allocatez00_1980); 
FAILURE(BgL_auxz00_2291,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 142 */
 obj_t BgL_tmpz00_2280;
if(
STRINGP(BgL_idz00_1979))
{ /* Llib/tvector.scm 142 */
BgL_tmpz00_2280 = BgL_idz00_1979
; }  else 
{ 
 obj_t BgL_auxz00_2283;
BgL_auxz00_2283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(5790L), BGl_string1797z00zz__tvectorz00, BGl_string1798z00zz__tvectorz00, BgL_idz00_1979); 
FAILURE(BgL_auxz00_2283,BFALSE,BFALSE);} 
BgL_auxz00_2279 = 
BSTRING_TO_STRING(BgL_tmpz00_2280); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_2279, BgL_auxz00_2288, BgL_refz00_1981, BgL_setz00_1982);} } 

}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_29)
{
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
 obj_t BgL_arg1237z00_1723;
BgL_arg1237z00_1723 = 
TVECTOR_DESCR(BgL_tvectorz00_29); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1924z00_2297;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2298;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1677z00_1727;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1726;
if(
STRUCTP(BgL_arg1237z00_1723))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1726 = BgL_arg1237z00_1723; }  else 
{ 
 obj_t BgL_auxz00_2301;
BgL_auxz00_2301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1800z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_arg1237z00_1723); 
FAILURE(BgL_auxz00_2301,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1719z00_2028;
BgL_aux1719z00_2028 = 
STRUCT_KEY(BgL_sz00_1726); 
if(
SYMBOLP(BgL_aux1719z00_2028))
{ /* Llib/tvector.scm 113 */
BgL_res1677z00_1727 = BgL_aux1719z00_2028; }  else 
{ 
 obj_t BgL_auxz00_2308;
BgL_auxz00_2308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1800z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1719z00_2028); 
FAILURE(BgL_auxz00_2308,BFALSE,BFALSE);} } } 
BgL_tmpz00_2298 = BgL_res1677z00_1727; } 
BgL_test1924z00_2297 = 
(BgL_tmpz00_2298==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1924z00_2297)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2313;
BgL_tmpz00_2313 = 
(int)(2L); 
return 
STRUCT_REF(BgL_arg1237z00_1723, BgL_tmpz00_2313);}  else 
{ /* Llib/tvector.scm 113 */
return 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_arg1237z00_1723);} } } } 

}



/* &tvector-ref */
obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1983, obj_t BgL_tvectorz00_1984)
{
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
 obj_t BgL_auxz00_2317;
if(
TVECTORP(BgL_tvectorz00_1984))
{ /* Llib/tvector.scm 160 */
BgL_auxz00_2317 = BgL_tvectorz00_1984
; }  else 
{ 
 obj_t BgL_auxz00_2320;
BgL_auxz00_2320 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(6511L), BGl_string1801z00zz__tvectorz00, BGl_string1782z00zz__tvectorz00, BgL_tvectorz00_1984); 
FAILURE(BgL_auxz00_2320,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_2317);} } 

}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_lz00_31)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
 obj_t BgL_descrz00_1181;
BgL_descrz00_1181 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_1181))
{ /* Llib/tvector.scm 169 */
 obj_t BgL_allocatez00_1182; obj_t BgL_setz00_1183;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1929z00_2328;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2329;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1678z00_1731;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1730;
if(
STRUCTP(BgL_descrz00_1181))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1730 = BgL_descrz00_1181; }  else 
{ 
 obj_t BgL_auxz00_2332;
BgL_auxz00_2332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1802z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1181); 
FAILURE(BgL_auxz00_2332,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1725z00_2034;
BgL_aux1725z00_2034 = 
STRUCT_KEY(BgL_sz00_1730); 
if(
SYMBOLP(BgL_aux1725z00_2034))
{ /* Llib/tvector.scm 113 */
BgL_res1678z00_1731 = BgL_aux1725z00_2034; }  else 
{ 
 obj_t BgL_auxz00_2339;
BgL_auxz00_2339 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1802z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1725z00_2034); 
FAILURE(BgL_auxz00_2339,BFALSE,BFALSE);} } } 
BgL_tmpz00_2329 = BgL_res1678z00_1731; } 
BgL_test1929z00_2328 = 
(BgL_tmpz00_2329==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1929z00_2328)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2344;
BgL_tmpz00_2344 = 
(int)(1L); 
BgL_allocatez00_1182 = 
STRUCT_REF(BgL_descrz00_1181, BgL_tmpz00_2344); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1182 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1181); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1932z00_2348;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2349;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1679z00_1735;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1734;
if(
STRUCTP(BgL_descrz00_1181))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1734 = BgL_descrz00_1181; }  else 
{ 
 obj_t BgL_auxz00_2352;
BgL_auxz00_2352 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1802z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1181); 
FAILURE(BgL_auxz00_2352,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1729z00_2038;
BgL_aux1729z00_2038 = 
STRUCT_KEY(BgL_sz00_1734); 
if(
SYMBOLP(BgL_aux1729z00_2038))
{ /* Llib/tvector.scm 113 */
BgL_res1679z00_1735 = BgL_aux1729z00_2038; }  else 
{ 
 obj_t BgL_auxz00_2359;
BgL_auxz00_2359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1802z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1729z00_2038); 
FAILURE(BgL_auxz00_2359,BFALSE,BFALSE);} } } 
BgL_tmpz00_2349 = BgL_res1679z00_1735; } 
BgL_test1932z00_2348 = 
(BgL_tmpz00_2349==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1932z00_2348)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2364;
BgL_tmpz00_2364 = 
(int)(3L); 
BgL_setz00_1183 = 
STRUCT_REF(BgL_descrz00_1181, BgL_tmpz00_2364); }  else 
{ /* Llib/tvector.scm 113 */
BgL_setz00_1183 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1181); } } 
if(
PROCEDUREP(BgL_setz00_1183))
{ /* Llib/tvector.scm 175 */
 long BgL_lenz00_1185;
BgL_lenz00_1185 = 
bgl_list_length(BgL_lz00_31); 
{ /* Llib/tvector.scm 175 */
 obj_t BgL_tvecz00_1186;
{ /* Llib/tvector.scm 176 */
 obj_t BgL_funz00_2042;
if(
PROCEDUREP(BgL_allocatez00_1182))
{ /* Llib/tvector.scm 176 */
BgL_funz00_2042 = BgL_allocatez00_1182; }  else 
{ 
 obj_t BgL_auxz00_2373;
BgL_auxz00_2373 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7157L), BGl_string1802z00zz__tvectorz00, BGl_string1799z00zz__tvectorz00, BgL_allocatez00_1182); 
FAILURE(BgL_auxz00_2373,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2042, 1L))
{ /* Llib/tvector.scm 176 */
BgL_tvecz00_1186 = 
(VA_PROCEDUREP( BgL_funz00_2042 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_2042))(BgL_allocatez00_1182, 
BINT(BgL_lenz00_1185), BEOA) : ((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_2042))(BgL_allocatez00_1182, 
BINT(BgL_lenz00_1185)) ); }  else 
{ /* Llib/tvector.scm 176 */
FAILURE(BGl_string1803z00zz__tvectorz00,BGl_list1804z00zz__tvectorz00,BgL_funz00_2042);} } 
{ /* Llib/tvector.scm 176 */

{ 
 obj_t BgL_lz00_1740; long BgL_iz00_1741;
BgL_lz00_1740 = BgL_lz00_31; 
BgL_iz00_1741 = 0L; 
BgL_loopz00_1739:
if(
NULLP(BgL_lz00_1740))
{ /* Llib/tvector.scm 179 */
return BgL_tvecz00_1186;}  else 
{ /* Llib/tvector.scm 179 */
{ /* Llib/tvector.scm 182 */
 obj_t BgL_arg1241z00_1743;
{ /* Llib/tvector.scm 182 */
 obj_t BgL_pairz00_1744;
if(
PAIRP(BgL_lz00_1740))
{ /* Llib/tvector.scm 182 */
BgL_pairz00_1744 = BgL_lz00_1740; }  else 
{ 
 obj_t BgL_auxz00_2389;
BgL_auxz00_2389 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7287L), BGl_string1811z00zz__tvectorz00, BGl_string1812z00zz__tvectorz00, BgL_lz00_1740); 
FAILURE(BgL_auxz00_2389,BFALSE,BFALSE);} 
BgL_arg1241z00_1743 = 
CAR(BgL_pairz00_1744); } 
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_setz00_1183), 3L))
{ /* Llib/tvector.scm 182 */
 obj_t BgL_tmpfunz00_2403;
BgL_tmpfunz00_2403 = 
((obj_t)BgL_setz00_1183); 
(VA_PROCEDUREP( BgL_tmpfunz00_2403 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_2403))(BgL_setz00_1183, BgL_tvecz00_1186, 
BINT(BgL_iz00_1741), BgL_arg1241z00_1743, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_2403))(BgL_setz00_1183, BgL_tvecz00_1186, 
BINT(BgL_iz00_1741), BgL_arg1241z00_1743) ); }  else 
{ 
 obj_t BgL_auxz00_2405;
BgL_auxz00_2405 = 
((obj_t)BgL_setz00_1183); 
FAILURE(BGl_string1813z00zz__tvectorz00,BGl_list1814z00zz__tvectorz00,BgL_auxz00_2405);} } 
{ /* Llib/tvector.scm 183 */
 obj_t BgL_arg1242z00_1745; long BgL_arg1244z00_1746;
{ /* Llib/tvector.scm 183 */
 obj_t BgL_pairz00_1747;
if(
PAIRP(BgL_lz00_1740))
{ /* Llib/tvector.scm 183 */
BgL_pairz00_1747 = BgL_lz00_1740; }  else 
{ 
 obj_t BgL_auxz00_2410;
BgL_auxz00_2410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7311L), BGl_string1811z00zz__tvectorz00, BGl_string1812z00zz__tvectorz00, BgL_lz00_1740); 
FAILURE(BgL_auxz00_2410,BFALSE,BFALSE);} 
BgL_arg1242z00_1745 = 
CDR(BgL_pairz00_1747); } 
BgL_arg1244z00_1746 = 
(BgL_iz00_1741+1L); 
{ 
 long BgL_iz00_2417; obj_t BgL_lz00_2416;
BgL_lz00_2416 = BgL_arg1242z00_1745; 
BgL_iz00_2417 = BgL_arg1244z00_1746; 
BgL_iz00_1741 = BgL_iz00_2417; 
BgL_lz00_1740 = BgL_lz00_2416; 
goto BgL_loopz00_1739;} } } } } } }  else 
{ /* Llib/tvector.scm 171 */
return 
BGl_errorz00zz__errorz00(BGl_string1802z00zz__tvectorz00, BGl_string1823z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 167 */
return 
BGl_errorz00zz__errorz00(BGl_string1802z00zz__tvectorz00, BGl_string1824z00zz__tvectorz00, BgL_idz00_30);} } } 

}



/* &list->tvector */
obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1985, obj_t BgL_idz00_1986, obj_t BgL_lz00_1987)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
 obj_t BgL_auxz00_2427; obj_t BgL_auxz00_2420;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_lz00_1987))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_2427 = BgL_lz00_1987
; }  else 
{ 
 obj_t BgL_auxz00_2430;
BgL_auxz00_2430 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(6812L), BGl_string1825z00zz__tvectorz00, BGl_string1826z00zz__tvectorz00, BgL_lz00_1987); 
FAILURE(BgL_auxz00_2430,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1986))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_2420 = BgL_idz00_1986
; }  else 
{ 
 obj_t BgL_auxz00_2423;
BgL_auxz00_2423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(6812L), BGl_string1825z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_idz00_1986); 
FAILURE(BgL_auxz00_2423,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2420, BgL_auxz00_2427);} } 

}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_32, obj_t BgL_vz00_33)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
 obj_t BgL_descrz00_1196;
BgL_descrz00_1196 = 
get_tvector_descriptor(BgL_idz00_32); 
if(
CBOOL(BgL_descrz00_1196))
{ /* Llib/tvector.scm 192 */
 obj_t BgL_allocatez00_1197; obj_t BgL_setz00_1198;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1945z00_2438;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2439;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1680z00_1752;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1751;
if(
STRUCTP(BgL_descrz00_1196))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1751 = BgL_descrz00_1196; }  else 
{ 
 obj_t BgL_auxz00_2442;
BgL_auxz00_2442 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1827z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1196); 
FAILURE(BgL_auxz00_2442,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1747z00_2058;
BgL_aux1747z00_2058 = 
STRUCT_KEY(BgL_sz00_1751); 
if(
SYMBOLP(BgL_aux1747z00_2058))
{ /* Llib/tvector.scm 113 */
BgL_res1680z00_1752 = BgL_aux1747z00_2058; }  else 
{ 
 obj_t BgL_auxz00_2449;
BgL_auxz00_2449 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1827z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1747z00_2058); 
FAILURE(BgL_auxz00_2449,BFALSE,BFALSE);} } } 
BgL_tmpz00_2439 = BgL_res1680z00_1752; } 
BgL_test1945z00_2438 = 
(BgL_tmpz00_2439==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1945z00_2438)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2454;
BgL_tmpz00_2454 = 
(int)(1L); 
BgL_allocatez00_1197 = 
STRUCT_REF(BgL_descrz00_1196, BgL_tmpz00_2454); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1197 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1196); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1948z00_2458;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2459;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1681z00_1756;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1755;
if(
STRUCTP(BgL_descrz00_1196))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1755 = BgL_descrz00_1196; }  else 
{ 
 obj_t BgL_auxz00_2462;
BgL_auxz00_2462 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1827z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1196); 
FAILURE(BgL_auxz00_2462,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1751z00_2062;
BgL_aux1751z00_2062 = 
STRUCT_KEY(BgL_sz00_1755); 
if(
SYMBOLP(BgL_aux1751z00_2062))
{ /* Llib/tvector.scm 113 */
BgL_res1681z00_1756 = BgL_aux1751z00_2062; }  else 
{ 
 obj_t BgL_auxz00_2469;
BgL_auxz00_2469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1827z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1751z00_2062); 
FAILURE(BgL_auxz00_2469,BFALSE,BFALSE);} } } 
BgL_tmpz00_2459 = BgL_res1681z00_1756; } 
BgL_test1948z00_2458 = 
(BgL_tmpz00_2459==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1948z00_2458)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2474;
BgL_tmpz00_2474 = 
(int)(3L); 
BgL_setz00_1198 = 
STRUCT_REF(BgL_descrz00_1196, BgL_tmpz00_2474); }  else 
{ /* Llib/tvector.scm 113 */
BgL_setz00_1198 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1196); } } 
if(
PROCEDUREP(BgL_setz00_1198))
{ /* Llib/tvector.scm 198 */
 obj_t BgL_tvecz00_1201;
{ /* Llib/tvector.scm 199 */
 obj_t BgL_funz00_2066;
if(
PROCEDUREP(BgL_allocatez00_1197))
{ /* Llib/tvector.scm 199 */
BgL_funz00_2066 = BgL_allocatez00_1197; }  else 
{ 
 obj_t BgL_auxz00_2482;
BgL_auxz00_2482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7963L), BGl_string1827z00zz__tvectorz00, BGl_string1799z00zz__tvectorz00, BgL_allocatez00_1197); 
FAILURE(BgL_auxz00_2482,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2066, 1L))
{ /* Llib/tvector.scm 199 */
BgL_tvecz00_1201 = 
(VA_PROCEDUREP( BgL_funz00_2066 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_2066))(BgL_allocatez00_1197, 
BINT(
VECTOR_LENGTH(BgL_vz00_33)), BEOA) : ((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_2066))(BgL_allocatez00_1197, 
BINT(
VECTOR_LENGTH(BgL_vz00_33))) ); }  else 
{ /* Llib/tvector.scm 199 */
FAILURE(BGl_string1828z00zz__tvectorz00,BGl_list1804z00zz__tvectorz00,BgL_funz00_2066);} } 
{ /* Llib/tvector.scm 199 */

{ /* Llib/tvector.scm 200 */
 long BgL_g1040z00_1202;
BgL_g1040z00_1202 = 
(
VECTOR_LENGTH(BgL_vz00_33)-1L); 
{ 
 long BgL_iz00_1204;
BgL_iz00_1204 = BgL_g1040z00_1202; 
BgL_zc3z04anonymousza31246ze3z87_1205:
if(
(BgL_iz00_1204==-1L))
{ /* Llib/tvector.scm 201 */
return BgL_tvecz00_1201;}  else 
{ /* Llib/tvector.scm 201 */
{ /* Llib/tvector.scm 204 */
 obj_t BgL_arg1248z00_1207;
{ /* Llib/tvector.scm 204 */
 bool_t BgL_test1955z00_2499;
{ /* Llib/tvector.scm 204 */
 long BgL_tmpz00_2500;
BgL_tmpz00_2500 = 
VECTOR_LENGTH(BgL_vz00_33); 
BgL_test1955z00_2499 = 
BOUND_CHECK(BgL_iz00_1204, BgL_tmpz00_2500); } 
if(BgL_test1955z00_2499)
{ /* Llib/tvector.scm 204 */
BgL_arg1248z00_1207 = 
VECTOR_REF(BgL_vz00_33,BgL_iz00_1204); }  else 
{ 
 obj_t BgL_auxz00_2504;
BgL_auxz00_2504 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(8083L), BGl_string1829z00zz__tvectorz00, BgL_vz00_33, 
(int)(
VECTOR_LENGTH(BgL_vz00_33)), 
(int)(BgL_iz00_1204)); 
FAILURE(BgL_auxz00_2504,BFALSE,BFALSE);} } 
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_setz00_1198), 3L))
{ /* Llib/tvector.scm 204 */
 obj_t BgL_tmpfunz00_2520;
BgL_tmpfunz00_2520 = 
((obj_t)BgL_setz00_1198); 
(VA_PROCEDUREP( BgL_tmpfunz00_2520 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_2520))(BgL_setz00_1198, BgL_tvecz00_1201, 
BINT(BgL_iz00_1204), BgL_arg1248z00_1207, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_2520))(BgL_setz00_1198, BgL_tvecz00_1201, 
BINT(BgL_iz00_1204), BgL_arg1248z00_1207) ); }  else 
{ 
 obj_t BgL_auxz00_2522;
BgL_auxz00_2522 = 
((obj_t)BgL_setz00_1198); 
FAILURE(BGl_string1813z00zz__tvectorz00,BGl_list1830z00zz__tvectorz00,BgL_auxz00_2522);} } 
{ 
 long BgL_iz00_2525;
BgL_iz00_2525 = 
(BgL_iz00_1204-1L); 
BgL_iz00_1204 = BgL_iz00_2525; 
goto BgL_zc3z04anonymousza31246ze3z87_1205;} } } } } }  else 
{ /* Llib/tvector.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1827z00zz__tvectorz00, BGl_string1823z00zz__tvectorz00, BgL_idz00_32);} }  else 
{ /* Llib/tvector.scm 190 */
return 
BGl_errorz00zz__errorz00(BGl_string1827z00zz__tvectorz00, BGl_string1824z00zz__tvectorz00, BgL_idz00_32);} } } 

}



/* &vector->tvector */
obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1988, obj_t BgL_idz00_1989, obj_t BgL_vz00_1990)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
 obj_t BgL_auxz00_2536; obj_t BgL_auxz00_2529;
if(
VECTORP(BgL_vz00_1990))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2536 = BgL_vz00_1990
; }  else 
{ 
 obj_t BgL_auxz00_2539;
BgL_auxz00_2539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7607L), BGl_string1833z00zz__tvectorz00, BGl_string1834z00zz__tvectorz00, BgL_vz00_1990); 
FAILURE(BgL_auxz00_2539,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1989))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2529 = BgL_idz00_1989
; }  else 
{ 
 obj_t BgL_auxz00_2532;
BgL_auxz00_2532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(7607L), BGl_string1833z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_idz00_1989); 
FAILURE(BgL_auxz00_2532,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2529, BgL_auxz00_2536);} } 

}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_34)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
 obj_t BgL_descrz00_1210;
BgL_descrz00_1210 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 212 */
 obj_t BgL_allocatez00_1211; obj_t BgL_refz00_1212;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1959z00_2545;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2546;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1682z00_1766;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1765;
if(
STRUCTP(BgL_descrz00_1210))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1765 = BgL_descrz00_1210; }  else 
{ 
 obj_t BgL_auxz00_2549;
BgL_auxz00_2549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1210); 
FAILURE(BgL_auxz00_2549,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1765z00_2078;
BgL_aux1765z00_2078 = 
STRUCT_KEY(BgL_sz00_1765); 
if(
SYMBOLP(BgL_aux1765z00_2078))
{ /* Llib/tvector.scm 113 */
BgL_res1682z00_1766 = BgL_aux1765z00_2078; }  else 
{ 
 obj_t BgL_auxz00_2556;
BgL_auxz00_2556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1765z00_2078); 
FAILURE(BgL_auxz00_2556,BFALSE,BFALSE);} } } 
BgL_tmpz00_2546 = BgL_res1682z00_1766; } 
BgL_test1959z00_2545 = 
(BgL_tmpz00_2546==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1959z00_2545)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2561;
BgL_tmpz00_2561 = 
(int)(1L); 
BgL_allocatez00_1211 = 
STRUCT_REF(BgL_descrz00_1210, BgL_tmpz00_2561); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1211 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1210); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1962z00_2565;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2566;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1683z00_1770;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1769;
if(
STRUCTP(BgL_descrz00_1210))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1769 = BgL_descrz00_1210; }  else 
{ 
 obj_t BgL_auxz00_2569;
BgL_auxz00_2569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_descrz00_1210); 
FAILURE(BgL_auxz00_2569,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1769z00_2082;
BgL_aux1769z00_2082 = 
STRUCT_KEY(BgL_sz00_1769); 
if(
SYMBOLP(BgL_aux1769z00_2082))
{ /* Llib/tvector.scm 113 */
BgL_res1683z00_1770 = BgL_aux1769z00_2082; }  else 
{ 
 obj_t BgL_auxz00_2576;
BgL_auxz00_2576 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1769z00_2082); 
FAILURE(BgL_auxz00_2576,BFALSE,BFALSE);} } } 
BgL_tmpz00_2566 = BgL_res1683z00_1770; } 
BgL_test1962z00_2565 = 
(BgL_tmpz00_2566==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1962z00_2565)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2581;
BgL_tmpz00_2581 = 
(int)(2L); 
BgL_refz00_1212 = 
STRUCT_REF(BgL_descrz00_1210, BgL_tmpz00_2581); }  else 
{ /* Llib/tvector.scm 113 */
BgL_refz00_1212 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_descrz00_1210); } } 
if(
PROCEDUREP(BgL_refz00_1212))
{ /* Llib/tvector.scm 218 */
 int BgL_lenz00_1214;
BgL_lenz00_1214 = 
TVECTOR_LENGTH(BgL_tvz00_34); 
{ /* Llib/tvector.scm 218 */
 obj_t BgL_vecz00_1215;
BgL_vecz00_1215 = 
create_vector(
(long)(BgL_lenz00_1214)); 
{ /* Llib/tvector.scm 219 */

{ /* Llib/tvector.scm 220 */
 long BgL_g1041z00_1216;
BgL_g1041z00_1216 = 
(
(long)(BgL_lenz00_1214)-1L); 
{ 
 long BgL_iz00_1218;
BgL_iz00_1218 = BgL_g1041z00_1216; 
BgL_zc3z04anonymousza31251ze3z87_1219:
if(
(BgL_iz00_1218==-1L))
{ /* Llib/tvector.scm 221 */
return BgL_vecz00_1215;}  else 
{ /* Llib/tvector.scm 221 */
{ /* Llib/tvector.scm 224 */
 obj_t BgL_arg1253z00_1221;
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_refz00_1212), 2L))
{ /* Llib/tvector.scm 224 */
 obj_t BgL_tmpfunz00_2602;
BgL_tmpfunz00_2602 = 
((obj_t)BgL_refz00_1212); 
BgL_arg1253z00_1221 = 
(VA_PROCEDUREP( BgL_tmpfunz00_2602 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_2602))(BgL_refz00_1212, BgL_tvz00_34, 
BINT(BgL_iz00_1218), BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_2602))(BgL_refz00_1212, BgL_tvz00_34, 
BINT(BgL_iz00_1218)) ); }  else 
{ 
 obj_t BgL_auxz00_2604;
BgL_auxz00_2604 = 
((obj_t)BgL_refz00_1212); 
FAILURE(BGl_string1813z00zz__tvectorz00,BGl_list1836z00zz__tvectorz00,BgL_auxz00_2604);} 
{ /* Llib/tvector.scm 224 */
 bool_t BgL_test1968z00_2607;
{ /* Llib/tvector.scm 224 */
 long BgL_tmpz00_2608;
BgL_tmpz00_2608 = 
VECTOR_LENGTH(BgL_vecz00_1215); 
BgL_test1968z00_2607 = 
BOUND_CHECK(BgL_iz00_1218, BgL_tmpz00_2608); } 
if(BgL_test1968z00_2607)
{ /* Llib/tvector.scm 224 */
VECTOR_SET(BgL_vecz00_1215,BgL_iz00_1218,BgL_arg1253z00_1221); }  else 
{ 
 obj_t BgL_auxz00_2612;
BgL_auxz00_2612 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(8812L), BGl_string1841z00zz__tvectorz00, BgL_vecz00_1215, 
(int)(
VECTOR_LENGTH(BgL_vecz00_1215)), 
(int)(BgL_iz00_1218)); 
FAILURE(BgL_auxz00_2612,BFALSE,BFALSE);} } } 
{ 
 long BgL_iz00_2619;
BgL_iz00_2619 = 
(BgL_iz00_1218-1L); 
BgL_iz00_1218 = BgL_iz00_2619; 
goto BgL_zc3z04anonymousza31251ze3z87_1219;} } } } } } }  else 
{ /* Llib/tvector.scm 217 */
 obj_t BgL_arg1256z00_1224;
{ /* Llib/tvector.scm 105 */
 obj_t BgL_arg1155z00_1778;
BgL_arg1155z00_1778 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1969z00_2622;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2623;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1684z00_1782;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1781;
if(
STRUCTP(BgL_arg1155z00_1778))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1781 = BgL_arg1155z00_1778; }  else 
{ 
 obj_t BgL_auxz00_2626;
BgL_auxz00_2626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_arg1155z00_1778); 
FAILURE(BgL_auxz00_2626,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1776z00_2090;
BgL_aux1776z00_2090 = 
STRUCT_KEY(BgL_sz00_1781); 
if(
SYMBOLP(BgL_aux1776z00_2090))
{ /* Llib/tvector.scm 113 */
BgL_res1684z00_1782 = BgL_aux1776z00_2090; }  else 
{ 
 obj_t BgL_auxz00_2633;
BgL_auxz00_2633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(4320L), BGl_string1835z00zz__tvectorz00, BGl_string1785z00zz__tvectorz00, BgL_aux1776z00_2090); 
FAILURE(BgL_auxz00_2633,BFALSE,BFALSE);} } } 
BgL_tmpz00_2623 = BgL_res1684z00_1782; } 
BgL_test1969z00_2622 = 
(BgL_tmpz00_2623==BGl_symbol1786z00zz__tvectorz00); } 
if(BgL_test1969z00_2622)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2638;
BgL_tmpz00_2638 = 
(int)(0L); 
BgL_arg1256z00_1224 = 
STRUCT_REF(BgL_arg1155z00_1778, BgL_tmpz00_2638); }  else 
{ /* Llib/tvector.scm 113 */
BgL_arg1256z00_1224 = 
BGl_errorz00zz__errorz00(BGl_string1788z00zz__tvectorz00, BGl_string1787z00zz__tvectorz00, BgL_arg1155z00_1778); } } } 
return 
BGl_errorz00zz__errorz00(BGl_string1835z00zz__tvectorz00, BGl_string1823z00zz__tvectorz00, BgL_arg1256z00_1224);} } } } 

}



/* &tvector->vector */
obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1991, obj_t BgL_tvz00_1992)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
 obj_t BgL_auxz00_2643;
if(
TVECTORP(BgL_tvz00_1992))
{ /* Llib/tvector.scm 211 */
BgL_auxz00_2643 = BgL_tvz00_1992
; }  else 
{ 
 obj_t BgL_auxz00_2646;
BgL_auxz00_2646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1780z00zz__tvectorz00, 
BINT(8400L), BGl_string1842z00zz__tvectorz00, BGl_string1782z00zz__tvectorz00, BgL_tvz00_1992); 
FAILURE(BgL_auxz00_2646,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_2643);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00(void)
{
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(482391669L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(220648206L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L, 
BSTRING_TO_STRING(BGl_string1843z00zz__tvectorz00));} 

}

#ifdef __cplusplus
}
#endif
